search topics via keyword
GET
/topics/search
const url = 'https://gitea.example.com/api/v1/topics/search?q=example';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://gitea.example.com/api/v1/topics/search?q=example' \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”q
required
string
Keywords to search
page
integer
Page number of results to return (1-based)
limit
integer
Page size of results
Responses
Section titled “Responses”TopicListResponse
Media typeapplication/json
Array<object>
TopicResponse for returning topics
object
created
string format: date-time
id
integer format: int64
repo_count
integer format: int64
topic_name
string
updated
string format: date-time
Examplegenerated
[ { "created": "2026-04-15T12:00:00Z", "id": 1, "repo_count": 1, "topic_name": "example", "updated": "2026-04-15T12:00:00Z" }]APIForbiddenError is a forbidden error response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json